Bug 843758 - Not all packages are signed
Not all packages are signed
Status: CLOSED CANTFIX
Product: oVirt
Classification: Community
Component: ovirt-node (Show other bugs)
unspecified
Unspecified Unspecified
low Severity low
: ---
: ---
Assigned To: Mike Burns
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-27 05:33 EDT by haiyang,dong
Modified: 2016-04-26 22:33 EDT (History)
13 users (show)

See Also:
Fixed In Version: 2.6.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-02-05 09:57:02 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description haiyang,dong 2012-07-27 05:33:52 EDT
Description of problem:
After install oVirt-node-iso-2.5.0-2.0.fc17.iso correctly,check that not all packages are signed

Version-Release number of selected component (if applicable):
oVirt-node-iso-2.5.0-2.0.fc17.iso

How reproducible:
100%

Steps to Reproduce:
1. Install oVirt-node-iso-2.5.0-2.0.fc17.iso correctly
2. Verify that all packages are signed
  #rpm -qa --qf '%{name}-%{version}-%{release}.%{arch} (%{SIGPGP:pgpsig})\n' | grep -v "Key ID"

Actual results:
[root@localhost admin]# rpm -qa --qf '%{name}-%{version}-%{release}.%{arch} (%{SIGPGP:pgpsig})\n' | grep -v "Key ID"
vdsm-xmlrpc-4.10.0-5.fc17.noarch ((none))
ovirt-node-2.5.0-2.fc17.noarch ((none))
vdsm-reg-4.10.0-5.fc17.noarch ((none))
vdsm-python-4.10.0-5.fc17.x86_64 ((none))
vdsm-cli-4.10.0-5.fc17.noarch ((none))
vdsm-4.10.0-5.fc17.x86_64 ((none))

Expected results:
After executed that command,it should return nothing(if it returns packages with key id field is "none", that's the packages are unsigned).

Additional info:

------
Comment 1 Mike Burns 2013-02-05 09:57:02 EST
ovirt.org doesn't sign packages currently and we pull some packages from there.  This can't be fixed until oVirt does package signing

Note You need to log in before you can comment on or make changes to this bug.